Page tree

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

By Christopher Alton

Object Spy not behaving? This article explains the most common reasons and how to fix it.

As of

...

mobile cloud version 9.0 and

...

later, the following applies:

  •  iOS 7 and newer.

...

languagebash
themeMidnight

...

  • later requires the use of the Safari browser when using web element testing.
  •  Android OS v4.2.2 and newer.
Code Block
languagebash
themeMidnight
- Android requires the use of the Google Chrome Browser when using web element testing.

...

  • later requires the use of the Google Chrome browser when using web element testing.

Other browsers may be installed to on the devices to test with, such as FireFox/Opera/Etcetera. These other mobile device browsers Firefox, Opera, and so on, but they will not support object spy. Please refer Refer to the requirements for iOS and Android listed above. To support these browsers, you will need to use Visual Analysis Functions.

Please also Also note that "default" browsers, such as the Samsung Internet Browser located on some Samsung android Android devices, is also are not a supported browser for object spy use with Object Spy. This browser type also needs to use Visual Analysis Functions.

...